<?xml version="1.0"?>
  <database name="TABLE PHIECO_TAXCATEGORY">
    <table name="PHIECO_TAXCATEGORY" primaryKey="PHIECO_TAXCATEGORY_KEY">
      <column name="PHIECO_TAXCATEGORY_ID" primaryKey="true" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_CLIENT_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_ORG_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ISACTIVE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="UPDATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="UPDATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="NAME" primaryKey="false" required="true" type="NVARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="DESCRIPTION" primaryKey="false" required="false" type="NVARCHAR" size="255" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="VALUE" primaryKey="false" required="true" type="VARCHAR" size="20" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="PHIECO_TYPE" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="TAXAMT" primaryKey="false" required="true" type="DECIMAL" autoIncrement="false">
        <default><![CDATA[0]]></default>
        <onCreateDefault/>
      </column>
      <foreign-key foreignTable="AD_CLIENT" name="PHIECO_TAXCATEGORY_AD_CLIENT">
        <reference local="AD_CLIENT_ID" foreign="AD_CLIENT_ID"/>
      </foreign-key>
      <foreign-key foreignTable="AD_ORG" name="PHIECO_TAXCATEGORY_AD_ORG">
        <reference local="AD_ORG_ID" foreign="AD_ORG_ID"/>
      </foreign-key>
      <unique name="PHIECO_TAXCATEGORY_NAME">
        <unique-column name="NAME"/>
        <unique-column name="AD_ORG_ID"/>
        <unique-column name="AD_CLIENT_ID"/>
      </unique>
      <unique name="PHIECO_TAXCATEGORY_UK">
        <unique-column name="VALUE"/>
        <unique-column name="AD_CLIENT_ID"/>
      </unique>
      <check name="PHIECO_TAXCATEGORY_ISCHECK"><![CDATA[ISACTIVE IN ('Y', 'N')]]></check>
    </table>
  </database>
